Skip to main content
finances

Update a financial record

Partial update: send only the fields to change.

PATCH
/finances/{id}
Authorizationstringheaderrequired

An API key: vzk_live_...

idstringrequired

Body

application/json
amountnumber | null
Required range: 0 <= x
approvedboolean | null
categorystring | null
Maximum string length: 100
currencystring | null
Maximum string length: 3
Pattern: ^[A-Z]{3}$
datestring | null
descriptionstring | null
Maximum string length: 2000
invoice_numberstring | null
Maximum string length: 100
is_recurringboolean | null
milestone_idstring | null
recurring_end_datestring | null
recurring_frequencyenum<string> | null
Available options: weekly, monthly, quarterly, yearly
typeenum<string> | null
Available options: income, expense

Response

application/json

Updated

dataobject